apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: openslice
  labels:
    org.etsi.osl.service: blockdiag
  name: blockdiag
spec:
  replicas: 1
  selector:
    matchLabels:
      org.etsi.osl.service: blockdiag
  template:
    metadata:
      labels:
        org.etsi.osl.service: blockdiag
    spec:
      containers:
        - image: yuzutech/kroki-blockdiag
          name: blockdiag
          ports:
            - containerPort: 8001
      restartPolicy: Always
---
apiVersion: v1
kind: Service
metadata:
  namespace: openslice
  labels:
    org.etsi.osl.service: blockdiag
  name: blockdiag
spec:
  ports:
    - name: "8001"
      targetPort: 8001
      port: 8001
  selector:
    org.etsi.osl.service: blockdiag
